Bug 1007732 - zarafa on PPC64
zarafa on PPC64
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: zarafa (Show other bugs)
18
ppc64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Robert Scheck
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-13 04:52 EDT by alessandro.canovi
Modified: 2014-02-05 17:22 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-02-05 17:22:55 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
zarafa-server log (1.76 KB, text/plain)
2013-09-13 08:37 EDT, alessandro.canovi
no flags Details
zarafa-server configuration (12.53 KB, text/plain)
2013-09-13 08:37 EDT, alessandro.canovi
no flags Details
zarafa-admin.log (31.87 KB, text/plain)
2013-09-14 04:28 EDT, alessandro.canovi
no flags Details

  None (edit)
Description alessandro.canovi 2013-09-13 04:52:39 EDT
Description of problem:
Zarafa authentication on PPC64 is broken

Version-Release number of selected component (if applicable):
Zarafa 7.0.13

How reproducible:


Steps to Reproduce:
1. Raise log level to 5
2. Try to use zarafa-admin
3.

Actual results:
 zarafa-admin -s
Unable to open Admin session.
Access was denied on file:///var/run/zarafa.

Log shows this error:
Fri Sep 13 10:50:43 2013: Failed to authenticate user 匀夀匀吀䔀 from file:///var/run/zarafa using program zarafa-admin

Several other authentication erros are shown in log:
Thu Sep 12 19:01:28 2013: Failed to authenticate user 匀夀匀吀䔀 from file:///var/run/zarafa using program zarafa-spooler

Fri Sep 13 10:15:00 2013: Failed to authenticate user 匀夀匀吀䔀 from file:///var/run/zarafa using program zarafa-monitor

Expected results:


Additional info:
Comment 1 Robert Scheck 2013-09-13 05:39:58 EDT
Set SELinux to permissive as first try. Ensure that /etc/zarafa/server.cfg is
contains "local_admin_users       = root zarafa" and restart zarafa-server if
you had to change that.

If this still does not solve the issue, please provide me more logs (if they
are sensitive you can also sent them encrypted to my e-mail address directly),
log level 6 would be appreciated. Additionally, I would like to see then the
whole Zarafa configuration. I can not exclude that this is a PPC64 specific
issue, but I can try to reproduce the whole thing on "supported" architectures
for you to track it down.

Additionally, please bug the PPC guys to build zarafa-7.1.5-1 (as well as the
latest libvmime before!) also for PPC, because it's available meanwhile for
primary architectures.
Comment 2 alessandro.canovi 2013-09-13 08:37:15 EDT
Created attachment 797316 [details]
zarafa-server log
Comment 3 alessandro.canovi 2013-09-13 08:37:47 EDT
Created attachment 797317 [details]
zarafa-server configuration
Comment 4 alessandro.canovi 2013-09-13 08:43:03 EDT
SELinux is disabled and local_admin_users is correctly configured.

I've attached level 6 log and server configuration.

I've already tested same configuration on Fedora 18 x86_64 and issue isn't reproduced.
Comment 5 Karsten Hopp 2013-09-13 09:34:00 EDT
zarafa-7.1.5 picked up a build requirement on kyotocabinet. That fails to build on PPC with the result that we don't have the latest zarafa on PPC.
See 
http://ppc.koji.fedoraproject.org/kojifiles/work/tasks/1196/1411196/build.log for the latest build attempt.
Comment 6 alessandro.canovi 2013-09-13 12:56:32 EDT
I've successfully built zarafa-7.1.5 from source RPM but issue persists, using zarafa-admin -s I get:

Fri Sep 13 18:52:30 2013: Accepted incoming connection from file:///var/run/zarafa
Fri Sep 13 18:52:35 2013: Object not found unknown user '匀夀匀吀䔀': 匀夀匀吀䔀
Fri Sep 13 18:52:35 2013: Authentication by plugin failed for user 匀夀匀吀䔀: Trying to authenticate failed: wrong username or password
Fri Sep 13 18:52:35 2013: Failed to authenticate user 匀夀匀吀䔀 from file:///var/run/zarafa using program zarafa-admin
Comment 7 Robert Scheck 2013-09-13 14:01:37 EDT
Can you please try with normal ASCII user names? In theory, unicode usernames
are supported, but I would not bet on it...
Comment 8 alessandro.canovi 2013-09-14 04:26:54 EDT
I am using an ASCII user name, I run "zarafa-admin -s" as root

There is something wrong even if I just run zarafa-admin without parameters, this is part of the output, full output attached:

Usage:
zarafa-admin [action] [options]

��������������������������������������������                          ��������������������������������������������������������������������������������������������������������������������������������������������������������������������������������������������������������������������������������������������������������������������������������������������������������������������������������������������
Comment 9 alessandro.canovi 2013-09-14 04:28:16 EDT
Created attachment 797578 [details]
zarafa-admin.log
Comment 10 Robert Scheck 2013-11-17 18:13:47 EST
Even this doesn't solve the Zarafa issue itself, there will be a working RPM
for kyotocabinet for PowerPC in the future. Just waiting for shadow builds...
Comment 11 Fedora End Of Life 2013-12-21 09:34:39 EST
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 12 Fedora End Of Life 2014-02-05 17:22:55 EST
Fedora 18 changed to end-of-life (EOL) status on 2014-01-14. Fedora 18 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.